<div class="content">
  <div fxLayout="row wrap" fxLayoutGap="16px grid">
    <div [fxFlex]="(100/gridColumns) + '%'" fxFlex.xs="100%" fxFlex.sm="33%" *ngFor="let item of data">
      <mat-card class="mat-elevation-z4">
        <mat-card-header>
          <mat-card-title>
            <span class="flag-icon flag-icon-us flag-icon-squared">
            </span>
            {{item.name}}
          </mat-card-title>
          <mat-card-subtitle>
            <a href={{item.website}}>{{item.website}}</a>
          </mat-card-subtitle>
          <mat-card-subtitle>
            {{item.sector}}
          </mat-card-subtitle>
          <mat-card-subtitle>
            {{item.industry}}
          </mat-card-subtitle>
        </mat-card-header>
        <mat-card-content>
          <div>
            <span class="current-price">
              {{ item.info?.regularMarketPrice | currency }}
            </span>
            <span class="current-points-gain" [ngClass]="{'positive': item.info?.regularMarketChange >= 0, 
                        'negative': item.info?.regularMarketChange < 0}">
              {{ item.info?.regularMarketChange| number : '1.2-2'}}
            </span>
            <span class="current-gains" [ngClass]="{'positive': item.info?.regularMarketChange >= 0, 
                        'negative': item.info?.regularMarketChange < 0}">
              ({{ item.info?.regularMarketChangePercent | percent: '1.2-2'}})
            </span>
          </div>
          <div *ngIf="item.info?.preMarket">
            <span>
              Pre: {{ item.info?.preMarketPrice | currency }}
            </span>
            <span class="current-points-gain" [ngClass]="{'positive': item.info?.preMarketChange >= 0, 
              'negative': item.info?.preMarketChange < 0}">
              {{ item.info?.preMarketChange| number : '1.2-2'}}
            </span>
            <span class="current-gains" [ngClass]="{'positive': item.info?.preMarketChangePercent >= 0, 
              'negative': item.info?.preMarketChangePercent < 0}">
              ({{ item.info?.preMarketChangePercent | percent: '1.2-2'}})
            </span>
          </div>
          <div *ngIf="item.info?.postMarket">
            <span>
              Post: {{ item.info?.postMarketPrice | currency }}
            </span>
            <span class="current-points-gain" [ngClass]="{'positive': item.info?.postMarketChange >= 0, 
              'negative': item.info?.postMarketChange < 0}">
              {{ item.info?.postMarketChange| number : '1.2-2'}}
            </span>
            <span class="current-gains" [ngClass]="{'positive': item.info?.postMarketChangePercent >= 0, 
              'negative': item.info?.postMarketChangePercent < 0}">
              ({{ item.info?.postMarketChangePercent | percent: '1.2-2'}})
            </span>
          </div>
        </mat-card-content>
        <mat-card-actions>
          <a [routerLink]="['profile']" [state]="{ data: {ticker:item.ticker, name: item.name}}">
            <mat-icon>show_chart</mat-icon> Profile
          </a>
        </mat-card-actions>
      </mat-card>
    </div>
  </div>
</div>